Gets information about a Deployment resource
Source:R/apigateway_operations.R
apigateway_get_deployment.RdGets information about a Deployment resource.
See https://www.paws-r-sdk.com/docs/apigateway_get_deployment/ for full documentation.
Arguments
- restApiId
[required] The string identifier of the associated RestApi.
- deploymentId
[required] The identifier of the Deployment resource to get information about.
- embed
A query parameter to retrieve the specified embedded resources of the returned Deployment resource in the response. In a REST API call, this
embedparameter value is a list of comma-separated strings, as inGET /restapis/{restapi_id}/deployments/{deployment_id}?embed=var1,var2. The SDK and other platform-dependent libraries might use a different format for the list. Currently, this request supports only retrieval of the embedded API summary this way. Hence, the parameter value must be a single-valued list containing only the"apisummary"string. For example,GET /restapis/{restapi_id}/deployments/{deployment_id}?embed=apisummary.